<?php
namespace backend\models;

use backend\components\Helper;
use yii\base\Model;
use yii\helpers\FileHelper;

class UploadForm extends Model
{
    public $imageFiles;

    public function rules()
    {
        return [
            [['imageFiles'], 'file', 'skipOnEmpty' => true, 'extensions' => 'png, jpg', 'maxFiles' => 20]
        ];
    }

    public function upload($nameDir)
    {
        $basePath = dirname(dirname(__DIR__)) . '/uploads/';

        if(!file_exists($basePath . $nameDir))
            FileHelper::createDirectory($basePath . $nameDir . '/', 0777);

        if ($this->validate()) {
            foreach($this->imageFiles as $file) {
                $path = $basePath . $nameDir . '/' . Helper::transliterate($file->name);
                $file->saveAs($path);
            }
            print_r($this->imageFiles, 1);
            return true;
        } else {
            return false;
        }
    }
}